# Contributing to InfluxData Helm charts

## Filing issues

Filing issues on GitHub is one of the easiest ways to contribute. We value your contributions!

Before you file an issue, please search existing issues to verify the issue hasn't already been filed or resolved.

### Bug reports

When submitting a bug report, please include the following:

- Full details of your operating system (or distribution), for example, `64bit Ubuntu 18.04`
- InfluxData Helm chart product and version you're using
- Clear steps to reproduce the issue described, if possible

The easier it is for us to reproduce the bug, the faster we can fix it.
If you have never written a bug report before, or if you want to brush up on your bug reporting skills, we recommend reading [Simon Tatham's essay "How to Report Bugs Effectively."](http://www.chiark.greenend.org.uk/~sgtatham/bugs.html)

Sharing your test cases is also helpful. If writing the data is too difficult, please zip up your data directory and include a link to it in your bug report.

Please note that issues are *not the place to file general support requests* such as "how do I use something?"
Questions of this nature should be sent to the [InfluxData Community](https://community.influxdata.com/), not filed as issues.

## Feature requests

We really like to receive feature requests as it helps us prioritize our work.
Please clarify your requirements and goals to help us to understand what you would like to see added with examples and the reasons why it is important to you.
If you find your feature request already exists as a Github issue, please indicate your support for that feature by using the "thumbs up" reaction.

## Submitting a pull request

1. Fork the InfluxDB repository, and then make your change on a feature branch of your fork.
2. Generate a pull request (PR) from your branch against *master* of the InfluxDB repository.
3. In your PR, include  details of your change (why *and* how) and any tests you performed.

   > **Note:** There may be some back and forth as we finalize the change, but after that, we'll merge changes as soon as possible.

To assist in review for the PR, please add the following to your pull request comment:

```md
- [ ] CHANGELOG.md updated
- [ ] Rebased/mergable
- [ ] Tests pass
- [ ] Sign [CLA](https://influxdata.com/community/cla/) (if not already signed)
```

# Signing the CLA

Before contributing to InfluxDB, please sign our [CLA](https://influxdata.com/community/cla/).
